List images in project
Lists the images of an organization, or a project's own, oldest first.
GET
Lists the images of an organization, or a project's own, oldest first.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
project*stringThe project's ID.
Match
^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$pageSize?integerMaximum number of images to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
images*array<>Images, oldest first.
nextPageToken*stringToken for the next page; empty on the last page.
curl -X GET 'https://api.kosem.ai/v1/projects/string/images'Example Response
{
"images": [
{
"availability": {
"allProjects": true,
"projects": [
"string"
]
},
"checkTime": "2019-08-24T14:15:22Z",
"createTime": "2019-08-24T14:15:22Z",
"displayName": "string",
"followTag": true,
"keepVersions": 0,
"name": "string",
"refreshReason": "string",
"registry": "string",
"source": "string",
"state": "PREPARING",
"stateReason": "string",
"updateTime": "2019-08-24T14:15:22Z",
"versions": [
{
"createTime": "2019-08-24T14:15:22Z",
"digest": "string",
"environments": 0,
"prepareTime": "2019-08-24T14:15:22Z",
"sizeBytes": 0
}
]
}
],
"nextPageToken": "string"
}